List mesa candidates for the open period
curl --request GET \
--url https://api.finsync.ar/api/mesas/{id}/candidates \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/mesas/{id}/candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/mesas/{id}/candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/mesas/{id}/candidates"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"mesa": {
"id": 1,
"company_id": 42,
"name": "ARS/USD desk",
"local_currency": "ARS",
"quote_currency": "USD",
"costing_method": "fifo",
"account_ids": [
10,
11
],
"created_by": null,
"created_at": "2026-03-01T00:00:00.000Z",
"updated_at": "2026-03-01T00:00:00.000Z",
"deleted_at": null
},
"period": {
"id": 5,
"mesa_id": 1,
"status": "open",
"opened_at": "2026-03-01T00:00:00.000Z",
"closed_at": null,
"opening_local": 1000000,
"opening_fx": 1200,
"closing_local": null,
"closing_avg_fx": null,
"pnl_local": null,
"pnl_quote": null,
"closing_report": null,
"opened_by": null,
"closed_by": null,
"created_at": "2026-03-01T00:00:00.000Z",
"updated_at": "2026-03-01T00:00:00.000Z"
},
"candidates": [
{
"operationId": 88,
"overrideId": null,
"date": "2026-03-02T12:00:00.000Z",
"description": "FX buy",
"detected": {
"side": "buy",
"localAmount": 125000,
"quoteAmount": 100,
"fx": 1250
},
"included": true
}
],
"pagination": {
"page": 1,
"pageSize": 25,
"total": 1,
"totalPages": 1
}
}{
"error": "Mesas module not enabled for this company",
"code": "MESAS_DISABLED"
}Mesas
List mesa candidates for the open period
Auto-detected ops plus override-linked / fabricated rows. Query: page, pageSize, search, inclusion (all|included|excluded|none), detected (all|valid|invalid).
GET
/
api
/
mesas
/
{id}
/
candidates
List mesa candidates for the open period
curl --request GET \
--url https://api.finsync.ar/api/mesas/{id}/candidates \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/mesas/{id}/candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/mesas/{id}/candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/mesas/{id}/candidates"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"mesa": {
"id": 1,
"company_id": 42,
"name": "ARS/USD desk",
"local_currency": "ARS",
"quote_currency": "USD",
"costing_method": "fifo",
"account_ids": [
10,
11
],
"created_by": null,
"created_at": "2026-03-01T00:00:00.000Z",
"updated_at": "2026-03-01T00:00:00.000Z",
"deleted_at": null
},
"period": {
"id": 5,
"mesa_id": 1,
"status": "open",
"opened_at": "2026-03-01T00:00:00.000Z",
"closed_at": null,
"opening_local": 1000000,
"opening_fx": 1200,
"closing_local": null,
"closing_avg_fx": null,
"pnl_local": null,
"pnl_quote": null,
"closing_report": null,
"opened_by": null,
"closed_by": null,
"created_at": "2026-03-01T00:00:00.000Z",
"updated_at": "2026-03-01T00:00:00.000Z"
},
"candidates": [
{
"operationId": 88,
"overrideId": null,
"date": "2026-03-02T12:00:00.000Z",
"description": "FX buy",
"detected": {
"side": "buy",
"localAmount": 125000,
"quoteAmount": 100,
"fx": 1250
},
"included": true
}
],
"pagination": {
"page": 1,
"pageSize": 25,
"total": 1,
"totalPages": 1
}
}{
"error": "Mesas module not enabled for this company",
"code": "MESAS_DISABLED"
}Authorizations
API Key for authentication
Path Parameters
Mesa ID
Query Parameters
Available options:
all, included, excluded, none Available options:
all, valid, invalid Response
Candidates page
The response is of type object.